## grantlee-editor 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")
project(grantlee-editor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "21.12.3")
set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")
set(MESSAGELIB_LIB_VERSION "5.19.3")

set(AKONADI_MIMELIB_VERSION "5.19.3")
set(AKONADI_CONTACT_VERSION "5.19.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
set(LIBGRANTLEETHEME_LIB_VERSION "5.19.3")
set(LIBKLEO_LIB_VERSION "5.19.3")
set(QT_REQUIRED_VERSION "5.15.2")
set(KIMAP_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)

# Find KF5 package
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)


find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)


include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)


configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

ecm_qt_install_logging_categories(
        EXPORT GRANTLEEEDITOR
        FILE grantleeditor.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== contactprintthemeeditor/CMakeLists.txt ===
set(contactprintthemeeditor_SRCS
    main.cpp
    defaultcompletion.cpp
    editorpage.cpp
    contactprintthemeconfiguredialog.cpp
    themedefaulttemplate.cpp
    themeeditormainwindow.cpp
    themeeditorpage.cpp
    contactprintthemeeditorutil.cpp
    themeeditorwidget.cpp
    themetemplatewidget.cpp
    contactprintthemepreview.cpp
    defaultcompletion.h
    editorpage.h
    contactprintthemeconfiguredialog.h
    themedefaulttemplate.h
    themeeditormainwindow.h
    themeeditorpage.h
    contactprintthemeeditorutil.h
    themeeditorwidget.h
    themetemplatewidget.h
    contactprintthemepreview.h
    contactprintthemeeditor.qrc
    )

ecm_qt_declare_logging_category(contactprintthemeeditor_SRCS HEADER contactprintthemeeditor_debug.h IDENTIFIER CONTACTPRINTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactprintthemeeditor
        DESCRIPTION "grantleeeditor (contactprintthemeeditor)"
        OLD_CATEGORY_NAMES log_contactprintthemeeditor
        EXPORT GRANTLEEEDITOR
    )
add_executable(contactprintthemeeditor ${contactprintthemeeditor_SRCS} )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(contactprintthemeeditor PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(contactprintthemeeditor
    Qt::WebEngineWidgets
    KF5::DBusAddons
    KF5::NewStuff
    KF5::AkonadiContact
    KF5::PimCommon
    grantleethemeeditor
    KF5::PimTextEdit
    KF5::I18n
    Qt::WebEngineWidgets
    KF5::Crash
    )

install(TARGETS contactprintthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.contactprintthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
grantlee-editor (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:30 +0000

=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5akonadimime-dev (>= 4:21.12.3~),
               libkf5akonadiserver-dev (>= 4:21.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:21.12.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 21.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:21.12.3~),
               libkf5libkleo-dev (>= 4:21.12.3~),
               libkf5messagecomposer-dev (>= 4:21.12.3~),
               libkf5messagecore-dev (>= 4:21.12.3~),
               libkf5messagelist-dev (>= 4:21.12.3~),
               libkf5messageviewer-dev (>= 4:21.12.3~),
               libkf5mimetreeparser-dev (>= 4:21.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:21.12.3~),
               libkf5pimtextedit-dev (>= 21.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:21.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:21.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor

Package: kdepim-themeeditors
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:15),
        kdepim-doc (<= 4:16.08.0+p16.04+git201609),
        kmail (<< 4:4.14.3),
        libkf5libkdepim5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<< 4:15),
          kdepim-doc (<= 4:16.08.0+p16.04+git201609),
          kmail (<< 4:4.14.3),
          libkf5libkdepim5 (<= 4:16.04),
          ${kde-l10n:all},
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
 .

## grantlee-editor 22.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.3")
+set(PIM_VERSION "5.20.0")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.12.3")
-set(KF5_MIN_VERSION "5.87.0")
+set(RELEASE_SERVICE_VERSION "22.04.0")
+set(KF5_MIN_VERSION "5.91.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -27,6 +27,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
@@ -40,17 +41,17 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.19.3")
+set(MESSAGELIB_LIB_VERSION "5.20.0")
 
-set(AKONADI_MIMELIB_VERSION "5.19.3")
-set(AKONADI_CONTACT_VERSION "5.19.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.19.3")
-set(LIBKLEO_LIB_VERSION "5.19.3")
+set(AKONADI_MIMELIB_VERSION "5.20.0")
+set(AKONADI_CONTACT_VERSION "5.20.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.20.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.20.0")
+set(LIBKLEO_LIB_VERSION "5.20.0")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.19.3")
-set(PIMCOMMON_LIB_VERSION "5.19.3")
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
+set(KIMAP_LIB_VERSION "5.20.0")
+set(PIMCOMMON_LIB_VERSION "5.20.0")
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package
 find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
@@ -77,8 +78,8 @@
 
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.92.0)
+
 
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)

=== debian/changelog ===
grantlee-editor (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:54 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadimime-dev (>= 4:21.12.3~),
-               libkf5akonadiserver-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.04.0~),
+               libkf5akonadimime-dev (>= 4:22.04.0~),
+               libkf5akonadiserver-dev (>= 4:22.04.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
+               libkf5contacteditor-dev (>= 4:22.04.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.12.3~),
+               libkf5grantleetheme-dev (>= 22.04.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5libkleo-dev (>= 4:21.12.3~),
-               libkf5messagecomposer-dev (>= 4:21.12.3~),
-               libkf5messagecore-dev (>= 4:21.12.3~),
-               libkf5messagelist-dev (>= 4:21.12.3~),
-               libkf5messageviewer-dev (>= 4:21.12.3~),
-               libkf5mimetreeparser-dev (>= 4:21.12.3~),
+               libkf5libkdepim-dev (>= 4:22.04.0~),
+               libkf5libkleo-dev (>= 4:22.04.0~),
+               libkf5messagecomposer-dev (>= 4:22.04.0~),
+               libkf5messagecore-dev (>= 4:22.04.0~),
+               libkf5messagelist-dev (>= 4:22.04.0~),
+               libkf5messageviewer-dev (>= 4:22.04.0~),
+               libkf5mimetreeparser-dev (>= 4:22.04.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:21.12.3~),
-               libkf5pimtextedit-dev (>= 21.12.3~),
+               libkf5pimcommon-dev (>= 4:22.04.0~),
+               libkf5pimtextedit-dev (>= 22.04.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.12.3~),
+               libkf5templateparser-dev (>= 4:22.04.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.12.3~),
+               libkf5webengineviewer-dev (>= 4:22.04.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.20.0")
+set(PIM_VERSION "5.20.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "22.04.0")
+set(RELEASE_SERVICE_VERSION "22.04.1")
 set(KF5_MIN_VERSION "5.91.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -41,16 +41,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.20.0")
+set(MESSAGELIB_LIB_VERSION "5.20.1")
 
-set(AKONADI_MIMELIB_VERSION "5.20.0")
-set(AKONADI_CONTACT_VERSION "5.20.0")
-set(KPIMTEXTEDIT_LIB_VERSION "5.20.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.20.0")
-set(LIBKLEO_LIB_VERSION "5.20.0")
+set(AKONADI_MIMELIB_VERSION "5.20.1")
+set(AKONADI_CONTACT_VERSION "5.20.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.20.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.20.1")
+set(LIBKLEO_LIB_VERSION "5.20.1")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.20.0")
-set(PIMCOMMON_LIB_VERSION "5.20.0")
+set(KIMAP_LIB_VERSION "5.20.1")
+set(PIMCOMMON_LIB_VERSION "5.20.1")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.04.0~),
-               libkf5akonadimime-dev (>= 4:22.04.0~),
-               libkf5akonadiserver-dev (>= 4:22.04.0~),
+               libkf5akonadi-dev (>= 4:22.04.1~),
+               libkf5akonadimime-dev (>= 4:22.04.1~),
+               libkf5akonadiserver-dev (>= 4:22.04.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.04.0~),
+               libkf5contacteditor-dev (>= 4:22.04.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.04.0~),
+               libkf5grantleetheme-dev (>= 22.04.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.04.0~),
-               libkf5libkleo-dev (>= 4:22.04.0~),
-               libkf5messagecomposer-dev (>= 4:22.04.0~),
-               libkf5messagecore-dev (>= 4:22.04.0~),
-               libkf5messagelist-dev (>= 4:22.04.0~),
-               libkf5messageviewer-dev (>= 4:22.04.0~),
-               libkf5mimetreeparser-dev (>= 4:22.04.0~),
+               libkf5libkdepim-dev (>= 4:22.04.1~),
+               libkf5libkleo-dev (>= 4:22.04.1~),
+               libkf5messagecomposer-dev (>= 4:22.04.1~),
+               libkf5messagecore-dev (>= 4:22.04.1~),
+               libkf5messagelist-dev (>= 4:22.04.1~),
+               libkf5messageviewer-dev (>= 4:22.04.1~),
+               libkf5mimetreeparser-dev (>= 4:22.04.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.04.0~),
-               libkf5pimtextedit-dev (>= 22.04.0~),
+               libkf5pimcommon-dev (>= 4:22.04.1~),
+               libkf5pimtextedit-dev (>= 22.04.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.04.0~),
+               libkf5templateparser-dev (>= 4:22.04.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.04.0~),
+               libkf5webengineviewer-dev (>= 4:22.04.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.20.1")
+set(PIM_VERSION "5.20.2")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "22.04.1")
+set(RELEASE_SERVICE_VERSION "22.04.2")
 set(KF5_MIN_VERSION "5.91.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -41,16 +41,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.20.1")
+set(MESSAGELIB_LIB_VERSION "5.20.2")
 
-set(AKONADI_MIMELIB_VERSION "5.20.1")
-set(AKONADI_CONTACT_VERSION "5.20.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.20.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.20.1")
-set(LIBKLEO_LIB_VERSION "5.20.1")
+set(AKONADI_MIMELIB_VERSION "5.20.2")
+set(AKONADI_CONTACT_VERSION "5.20.2")
+set(KPIMTEXTEDIT_LIB_VERSION "5.20.2")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.20.2")
+set(LIBKLEO_LIB_VERSION "5.20.2")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.20.1")
-set(PIMCOMMON_LIB_VERSION "5.20.1")
+set(KIMAP_LIB_VERSION "5.20.2")
+set(PIMCOMMON_LIB_VERSION "5.20.2")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.04.1~),
-               libkf5akonadimime-dev (>= 4:22.04.1~),
-               libkf5akonadiserver-dev (>= 4:22.04.1~),
+               libkf5akonadi-dev (>= 4:22.04.2~),
+               libkf5akonadimime-dev (>= 4:22.04.2~),
+               libkf5akonadiserver-dev (>= 4:22.04.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.04.1~),
+               libkf5contacteditor-dev (>= 4:22.04.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.04.1~),
+               libkf5grantleetheme-dev (>= 22.04.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.04.1~),
-               libkf5libkleo-dev (>= 4:22.04.1~),
-               libkf5messagecomposer-dev (>= 4:22.04.1~),
-               libkf5messagecore-dev (>= 4:22.04.1~),
-               libkf5messagelist-dev (>= 4:22.04.1~),
-               libkf5messageviewer-dev (>= 4:22.04.1~),
-               libkf5mimetreeparser-dev (>= 4:22.04.1~),
+               libkf5libkdepim-dev (>= 4:22.04.2~),
+               libkf5libkleo-dev (>= 4:22.04.2~),
+               libkf5messagecomposer-dev (>= 4:22.04.2~),
+               libkf5messagecore-dev (>= 4:22.04.2~),
+               libkf5messagelist-dev (>= 4:22.04.2~),
+               libkf5messageviewer-dev (>= 4:22.04.2~),
+               libkf5mimetreeparser-dev (>= 4:22.04.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.04.1~),
-               libkf5pimtextedit-dev (>= 22.04.1~),
+               libkf5pimcommon-dev (>= 4:22.04.2~),
+               libkf5pimtextedit-dev (>= 22.04.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.04.1~),
+               libkf5templateparser-dev (>= 4:22.04.2~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.04.1~),
+               libkf5webengineviewer-dev (>= 4:22.04.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.04.3

=== debian/changelog ===
grantlee-editor (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.04.2~),
-               libkf5akonadimime-dev (>= 4:22.04.2~),
-               libkf5akonadiserver-dev (>= 4:22.04.2~),
+               libkf5akonadi-dev (>= 4:22.04.3~),
+               libkf5akonadimime-dev (>= 4:22.04.3~),
+               libkf5akonadiserver-dev (>= 4:22.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.04.2~),
+               libkf5contacteditor-dev (>= 4:22.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.04.2~),
+               libkf5grantleetheme-dev (>= 22.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.04.2~),
-               libkf5libkleo-dev (>= 4:22.04.2~),
-               libkf5messagecomposer-dev (>= 4:22.04.2~),
-               libkf5messagecore-dev (>= 4:22.04.2~),
-               libkf5messagelist-dev (>= 4:22.04.2~),
-               libkf5messageviewer-dev (>= 4:22.04.2~),
-               libkf5mimetreeparser-dev (>= 4:22.04.2~),
+               libkf5libkdepim-dev (>= 4:22.04.3~),
+               libkf5libkleo-dev (>= 4:22.04.3~),
+               libkf5messagecomposer-dev (>= 4:22.04.3~),
+               libkf5messagecore-dev (>= 4:22.04.3~),
+               libkf5messagelist-dev (>= 4:22.04.3~),
+               libkf5messageviewer-dev (>= 4:22.04.3~),
+               libkf5mimetreeparser-dev (>= 4:22.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.04.2~),
-               libkf5pimtextedit-dev (>= 22.04.2~),
+               libkf5pimcommon-dev (>= 4:22.04.3~),
+               libkf5pimtextedit-dev (>= 22.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.04.2~),
+               libkf5templateparser-dev (>= 4:22.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.04.2~),
+               libkf5webengineviewer-dev (>= 4:22.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.08.0

=== debian/changelog ===
grantlee-editor (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:24 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.04.3~),
-               libkf5akonadimime-dev (>= 4:22.04.3~),
-               libkf5akonadiserver-dev (>= 4:22.04.3~),
+               libkf5akonadi-dev (>= 4:22.08.0~),
+               libkf5akonadimime-dev (>= 4:22.08.0~),
+               libkf5akonadiserver-dev (>= 4:22.08.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.04.3~),
+               libkf5contacteditor-dev (>= 4:22.08.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.04.3~),
+               libkf5grantleetheme-dev (>= 22.08.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.04.3~),
-               libkf5libkleo-dev (>= 4:22.04.3~),
-               libkf5messagecomposer-dev (>= 4:22.04.3~),
-               libkf5messagecore-dev (>= 4:22.04.3~),
-               libkf5messagelist-dev (>= 4:22.04.3~),
-               libkf5messageviewer-dev (>= 4:22.04.3~),
-               libkf5mimetreeparser-dev (>= 4:22.04.3~),
+               libkf5libkdepim-dev (>= 4:22.08.0~),
+               libkf5libkleo-dev (>= 4:22.08.0~),
+               libkf5messagecomposer-dev (>= 4:22.08.0~),
+               libkf5messagecore-dev (>= 4:22.08.0~),
+               libkf5messagelist-dev (>= 4:22.08.0~),
+               libkf5messageviewer-dev (>= 4:22.08.0~),
+               libkf5mimetreeparser-dev (>= 4:22.08.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.04.3~),
-               libkf5pimtextedit-dev (>= 22.04.3~),
+               libkf5pimcommon-dev (>= 4:22.08.0~),
+               libkf5pimtextedit-dev (>= 22.08.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.04.3~),
+               libkf5templateparser-dev (>= 4:22.08.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.04.3~),
+               libkf5webengineviewer-dev (>= 4:22.08.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.20.2")
+set(PIM_VERSION "5.21.1")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "22.04.2")
-set(KF5_MIN_VERSION "5.91.0")
+set(RELEASE_SERVICE_VERSION "22.08.1")
+set(KF5_MIN_VERSION "5.95.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -30,7 +30,7 @@
 include(ECMDeprecationSettings)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -41,16 +41,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.20.2")
+set(MESSAGELIB_LIB_VERSION "5.21.1")
 
-set(AKONADI_MIMELIB_VERSION "5.20.2")
-set(AKONADI_CONTACT_VERSION "5.20.2")
-set(KPIMTEXTEDIT_LIB_VERSION "5.20.2")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.20.2")
-set(LIBKLEO_LIB_VERSION "5.20.2")
+set(AKONADI_MIMELIB_VERSION "5.21.1")
+set(AKONADI_CONTACT_VERSION "5.21.1")
+set(KPIMTEXTEDIT_LIB_VERSION "5.21.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.21.1")
+set(LIBKLEO_LIB_VERSION "5.21.1")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.20.2")
-set(PIMCOMMON_LIB_VERSION "5.20.2")
+set(KIMAP_LIB_VERSION "5.21.1")
+set(PIMCOMMON_LIB_VERSION "5.21.1")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package
@@ -78,7 +78,7 @@
 
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.92.0)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.96.0)

=== debian/changelog ===
grantlee-editor (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.08.0~),
-               libkf5akonadimime-dev (>= 4:22.08.0~),
-               libkf5akonadiserver-dev (>= 4:22.08.0~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadimime-dev (>= 4:22.08.1~),
+               libkf5akonadiserver-dev (>= 4:22.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.08.0~),
+               libkf5contacteditor-dev (>= 4:22.08.1~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.08.0~),
+               libkf5grantleetheme-dev (>= 22.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.08.0~),
-               libkf5libkleo-dev (>= 4:22.08.0~),
-               libkf5messagecomposer-dev (>= 4:22.08.0~),
-               libkf5messagecore-dev (>= 4:22.08.0~),
-               libkf5messagelist-dev (>= 4:22.08.0~),
-               libkf5messageviewer-dev (>= 4:22.08.0~),
-               libkf5mimetreeparser-dev (>= 4:22.08.0~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5libkleo-dev (>= 4:22.08.1~),
+               libkf5messagecomposer-dev (>= 4:22.08.1~),
+               libkf5messagecore-dev (>= 4:22.08.1~),
+               libkf5messagelist-dev (>= 4:22.08.1~),
+               libkf5messageviewer-dev (>= 4:22.08.1~),
+               libkf5mimetreeparser-dev (>= 4:22.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.08.0~),
-               libkf5pimtextedit-dev (>= 22.08.0~),
+               libkf5pimcommon-dev (>= 4:22.08.1~),
+               libkf5pimtextedit-dev (>= 22.08.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.08.0~),
+               libkf5templateparser-dev (>= 4:22.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.08.0~),
+               libkf5webengineviewer-dev (>= 4:22.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 22.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.21.1")
+set(PIM_VERSION "5.21.3")
 project(grantlee-editor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "22.08.1")
+set(RELEASE_SERVICE_VERSION "22.08.3")
 set(KF5_MIN_VERSION "5.95.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -41,16 +41,16 @@
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION "5.21.1")
+set(MESSAGELIB_LIB_VERSION "5.21.3")
 
-set(AKONADI_MIMELIB_VERSION "5.21.1")
-set(AKONADI_CONTACT_VERSION "5.21.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.21.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.21.1")
-set(LIBKLEO_LIB_VERSION "5.21.1")
+set(AKONADI_MIMELIB_VERSION "5.21.3")
+set(AKONADI_CONTACT_VERSION "5.21.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.21.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.21.3")
+set(LIBKLEO_LIB_VERSION "5.21.3")
 set(QT_REQUIRED_VERSION "5.15.2")
-set(KIMAP_LIB_VERSION "5.21.1")
-set(PIMCOMMON_LIB_VERSION "5.21.1")
+set(KIMAP_LIB_VERSION "5.21.3")
+set(PIMCOMMON_LIB_VERSION "5.21.3")
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngineWidgets)
 
 # Find KF5 package

=== debian/changelog ===
grantlee-editor (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:20 +0000

=== debian/control ===
--- 
+++ 
@@ -18,47 +18,47 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:22.08.1~),
-               libkf5akonadimime-dev (>= 4:22.08.1~),
-               libkf5akonadiserver-dev (>= 4:22.08.1~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
+               libkf5akonadimime-dev (>= 4:22.08.3~),
+               libkf5akonadiserver-dev (>= 4:22.08.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:22.08.1~),
+               libkf5contacteditor-dev (>= 4:22.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 22.08.1~),
+               libkf5grantleetheme-dev (>= 22.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:22.08.1~),
-               libkf5libkleo-dev (>= 4:22.08.1~),
-               libkf5messagecomposer-dev (>= 4:22.08.1~),
-               libkf5messagecore-dev (>= 4:22.08.1~),
-               libkf5messagelist-dev (>= 4:22.08.1~),
-               libkf5messageviewer-dev (>= 4:22.08.1~),
-               libkf5mimetreeparser-dev (>= 4:22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.3~),
+               libkf5libkleo-dev (>= 4:22.08.3~),
+               libkf5messagecomposer-dev (>= 4:22.08.3~),
+               libkf5messagecore-dev (>= 4:22.08.3~),
+               libkf5messagelist-dev (>= 4:22.08.3~),
+               libkf5messageviewer-dev (>= 4:22.08.3~),
+               libkf5mimetreeparser-dev (>= 4:22.08.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:22.08.1~),
-               libkf5pimtextedit-dev (>= 22.08.1~),
+               libkf5pimcommon-dev (>= 4:22.08.3~),
+               libkf5pimtextedit-dev (>= 22.08.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:22.08.1~),
+               libkf5templateparser-dev (>= 4:22.08.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:22.08.1~),
+               libkf5webengineviewer-dev (>= 4:22.08.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
